# POST: Digital Asset Address

#### `POST /deposits/digital_asset_addresses` <a href="#post-deposits-digital_asset_addresses" id="post-deposits-digital_asset_addresses"></a>

```
const postDepositAddress = () => {
  const body = { participant_code: 'ABCDEF', asset: 'BTC' }
  const timestamp = Math.round(Date.now() / 1000)
  const payload = timestamp + 'POST' + '/deposits/digital_asset_addresses' + JSON.stringify(
    body)
  const decodedSecret = Buffer.from(apiSecret, 'base64')
  const hmac = crypto.createHmac('sha256', decodedSecret)
  const signedPayload = hmac.update(payload).digest('base64')

  // SET HEADERS
  const headers = {
    'X-NDAX-API-KEY': 'public_key',
    'X-NDAX-SIGNED': signedPayload,
    'X-NDAX-TIMESTAMP': timestamp,
    'X-NDAX-PASSPHRASE': 'passphrase'
  }
  const options = {
    headers,
    body,
    json: true
  }

  return request.post(
    'https://api.ndax.in/deposits/digital_asset_addresses',
    options
  )
}
```

> Sample Request

```
{
  "participant_code": "ABCDEF",
  "asset": "BTC"
}
```

> Sample Response

```
{
  "message": {
    "created_at": 1561996924964,
    "address": "2NCgV7BXXafJZ86utcYFs5m3tCpkcpLafeG",
    "participant_code": "ABCDEF",
    "asset": "BTC"
  }
}
```

Creates a new digital wallet deposit address for the asset and participant\_code provided. In order to request a deposit address for a participant\_code other than yourself, you must have the `submits_platform_withdrawals_for` relationship against said participant\_code. Refer [here](https://seedcx.zendesk.com/hc/en-us/articles/360021160534-Participant-Relationships-and-Access-Rights) for more information on relationship types.

<table><thead><tr><th width="202.33333333333331">Parameter</th><th>Description</th><th>Type</th></tr></thead><tbody><tr><td>participant_code</td><td>The participant code to create an address for</td><td>string</td></tr><tr><td>asset</td><td>The asset code to make an address in, e.g. <code>BTC</code></td><td>string</td></tr></tbody></table>

Response:

<table><thead><tr><th width="190.33333333333331">Parameter</th><th>Description</th><th>Type</th></tr></thead><tbody><tr><td>created_at</td><td>The timestamp for when the address was created</td><td>timestamp</td></tr><tr><td>address</td><td>The digital wallet address</td><td>string</td></tr><tr><td>asset</td><td>The asset code tied to the address, e.g. <code>BTC</code></td><td>string</td></tr><tr><td>participant_code</td><td>The participant the address belongs to, e.g. <code>ABCDEF</code></td><td>string</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ndax.in/v3/private-endpoints/deposits/post-digital-asset-address.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
